%julia_map_function
% Different scaling functions of julia map
%
% julia_map=julia_map_function(julia_map,map_function)
%
% julia_map    - M x N array of Julia map numbers
% map_function - String describing map function to use

function julia_map=julia_map_function(julia_map,map_function)

if strcmp(map_function,'exp_decay')==1
    julia_map=exp(-abs(julia_map));
elseif strcmp(map_function,'sin')==1
    julia_map=sin(abs(julia_map));
elseif strcmp(map_function,'cos')==1
    julia_map=cos(abs(julia_map));
elseif strcmp(map_function,'arg')==1
    julia_map=angle(julia_map);
else
    julia_map=abs(julia_map);
end

%End of code